Skip to main content
Nowledge MemNowledge Mem

Bulk Delete Threads

DELETE
/threads/bulk

Delete multiple threads and optionally their extracted memories.

Query Parameters

cascade_delete_memories?Cascade Delete Memories

Delete extracted memories

Defaultfalse
space_id?|

Optional isolation space guard

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request to delete multiple threads.

Response Body

application/json

application/json

curl -X DELETE "https://example.com/threads/bulk" \  -H "Content-Type: application/json" \  -d '{    "thread_ids": [      "string"    ]  }'
{  "cascade_deletion": false,  "deleted_count": 0,  "deletion_outcome_uncertain": true,  "failed_count": 0,  "index_repair_pending": true,  "message": "string",  "partial_success": true,  "results": [    {      "cascade_deletion": false,      "deleted": true,      "deleted_memories": 0,      "deleted_messages": 0,      "deletion_outcome_uncertain": true,      "error": "string",      "index_repair_pending": true,      "partial_success": true,      "thread_id": "string"    }  ],  "total_deleted_memories": 0,  "total_deleted_messages": 0}